Network Node - Get Interfaces For GivenNode

Recupera i dati per il nodo di rete in base all'ID nodo e al tipo di richiesta.

GET http://<Servername>/OperationsManager/NetworkNode/{nodeId}/{requestType}

Parametri dell'URI

Nome In Necessario Tipo Descrizione
nodeId
path True

string

Specificare l'ID del nodo.

requestType
path True

string

Specificare una delle proprietà seguenti (healthofinterfaces, averageavailability)

Risposte

Nome Tipo Descrizione
200 OK

object

Va bene

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Esempio

GetInterfacesForGivenNode For averageavailability
GetInterfacesForGivenNode For healthofinterfaces

GetInterfacesForGivenNode For averageavailability

Esempio di richiesta

GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/averageavailability

Risposta di esempio

[
  {
    "nodeId": null,
    "today": 100,
    "yesterday": 100,
    "lastSevenDays": 100,
    "lastThirtyDays": 100
  }
]

GetInterfacesForGivenNode For healthofinterfaces

Esempio di richiesta

GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/healthofinterfaces

Risposta di esempio

[
  {
    "description": "GigabitEthernet0/28",
    "sentBitsPerSecond": "NaN",
    "receivedBitsPerSecond": "NaN",
    "interfaceId": "e283c15f-7773-8146-b2f6-37bf97443404",
    "interfaceName": "PORT-10128",
    "interfaceState": "notmonitored"
  },
  {
    "description": "GigabitEthernet0/40",
    "sentBitsPerSecond": "NaN",
    "receivedBitsPerSecond": "NaN",
    "interfaceId": "26b2a0fb-f4e2-0f63-acbe-538b87759277",
    "interfaceName": "PORT-10140",
    "interfaceState": "notmonitored"
  }
]